## plasma-phonebook 23.01.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

set(PROJECT_VERSION "23.01")
project(plasma-phonebook VERSION ${PROJECT_VERSION})

set(KF5_MIN_VERSION "5.93.0")
set(QT_MIN_VERSION "5.15.2")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMPoQmTools)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMAPHONEBOOK
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Kirigami2 People Contacts Config)
find_package(KF5PeopleVCard REQUIRED)
find_package(KF5KirigamiAddons 0.6 REQUIRED)

if(ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS AndroidExtras)
endif()

add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.phonebook.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.phonebook.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.phonebook.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_executable(plasma-phonebook
    main.cpp
    contactcontroller.cpp
    contactimporter.cpp
    resources.qrc
)

target_include_directories(plasma-phonebook PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(plasma-phonebook
        Qt::Core Qt::Qml Qt::Quick Qt::Svg Qt::Widgets
        KF5::Contacts KF5::People KF5::I18n KF5::CoreAddons
        KF5::ConfigCore KF5::ConfigGui
)

if(ANDROID)
    target_link_libraries(plasma-phonebook KF5::Kirigami2 Qt::Svg Qt::AndroidExtras)

    kirigami_package_breeze_icons(ICONS
        go-down-symbolic
        go-next-symbolic
        go-up-symbolic
        view-refresh
        search
        view-pim-contacts
        dialog-ok-apply
        dialog-cancel
        list-add
        list-remove
        list-add_executable
        contact-new-symbolic
        document-import
        mail-message
        call-start
        document-edit
        delete
        # im-* icons used by KContacts::Impp::serviceIcon
        im-google
        im-gadugadu
        im-twitter
        im-irc
        im-google-talk
        im-yahoo
        im-jabber
        im skype
        im-icq
        im-qq
        im-facebook
        im-aim
        im-identi.ca
        im-youtube
    )

endif()

install(TARGETS plasma-phonebook ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(kpeopleactionplugin)

=== debian/changelog ===
plasma-phonebook (23.01.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:19:38 +1100

plasma-phonebook (23.01.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:27:46 +0000

plasma-phonebook (23.01.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release
  * License for debian/* to GPL-3
    That way it matches the general package license
  * Drop upstreamed patches
  * Drop no-more-needed GPL-2+ paragraph from d/copyright

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 12 Feb 2023 17:24:43 +0100

plasma-phonebook (22.11-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Initial release. Closes: #1023367

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 06 Jan 2023 21:06:38 +0100

=== debian/control ===
Source: plasma-phonebook
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.15~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.93.0~),
               kirigami-addons-dev (>= 0.6~),
               kirigami2-dev (>= 5.93.0~),
               kpeople-vcard,
               libkf5config-dev (>= 5.93.0~),
               libkf5contacts-dev (>= 5.93.0~),
               libkf5coreaddons-dev (>= 5.93.0~),
               libkf5people-dev (>= 5.93.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-phonebook
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-phonebook
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-phonebook.git
Rules-Requires-Root: no

Package: plasma-phonebook
Architecture: any
Multi-Arch: foreign
Depends: qml-module-org-kde-kirigami-addons-datetime (>= 0.6~),
         qml-module-org-kde-kirigami2 (>= 5.93.0~),
         qml-module-qtquick-controls2 (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Phone book for Plasma Mobile
 Contacts application which allows adding, modifying and removing contacts.
 .
 Plasma-phonebook is a contact application that primarily targets Plasma Mobile.
 .
 The application uses kpeople models to find, add, remove and update contacts.
 The actual vcard editing is done using KContacts, allowing to use the full
 range of fields vcards support. Plasma Phonebook ships its own KPeople
 plugin for displaying actions.

## plasma-phonebook 24.02.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.15)
 
-set(PROJECT_VERSION "23.01")
+set(PROJECT_VERSION "24.02.0")
 project(plasma-phonebook VERSION ${PROJECT_VERSION})
 
-set(KF5_MIN_VERSION "5.93.0")
-set(QT_MIN_VERSION "5.15.2")
+set(KF_MIN_VERSION "6.0.0")
+set(QT_MIN_VERSION "6.6.0")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -27,14 +27,9 @@
     VARIABLE_PREFIX PLASMAPHONEBOOK
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
 )
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Widgets)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Kirigami2 People Contacts Config)
-find_package(KF5PeopleVCard REQUIRED)
-find_package(KF5KirigamiAddons 0.6 REQUIRED)
-
-if(ANDROID)
-    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS AndroidExtras)
-endif()
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Widgets)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Kirigami People Contacts Config)
+find_package(KF6KirigamiAddons 1.0.0 REQUIRED)
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 
 target_link_libraries(plasma-phonebook
         Qt::Core Qt::Qml Qt::Quick Qt::Svg Qt::Widgets
-        KF5::Contacts KF5::People KF5::I18n KF5::CoreAddons
-        KF5::ConfigCore KF5::ConfigGui
+        KF6::Contacts KF6::People KF6::I18n KF6::CoreAddons
+        KF6::ConfigCore KF6::ConfigGui
 )
 
 if(ANDROID)
-    target_link_libraries(plasma-phonebook KF5::Kirigami2 Qt::Svg Qt::AndroidExtras)
+    target_link_libraries(plasma-phonebook KF6::Kirigami Qt::Svg)
 
     kirigami_package_breeze_icons(ICONS
         go-down-symbolic

=== src/kpeopleactionplugin/CMakeLists.txt ===
kcoreaddons_add_plugin (phonebook_kpeople_plugin SOURCES kpeopleactionsplugin.cpp INSTALL_NAMESPACE "kpeople/actions")

target_link_libraries(phonebook_kpeople_plugin
    KF6::CoreAddons
    KF6::I18n
    KF6::People
    KF6::PeopleBackend
    KF6::Contacts
)

=== debian/changelog ===
plasma-phonebook (24.02.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1079478)
  * Update remote tarball location in d/watch
  * Use same d/upstream/signing-key.asc as other Plasma mobile packages
  * Update d/rules for building on KF6 instead of KF5
  * Update d/control after upstream changes
  * Update d/copyright after upstream changes
  * Standards-version 4.7.0 (no changes needed)
  * Apply patch to fix duplicate numbers for newly created contacts

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Thu, 12 Sep 2024 19:48:40 +0200

=== debian/control ===
Source: plasma-phonebook
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.15~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.3.0~),
               kirigami-addons-dev (>= 1.0.0~),
               libkirigami-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6people-dev (>= 6.3.0~),
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/plasma-phonebook
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-phonebook
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-phonebook.git
Rules-Requires-Root: no

Package: plasma-phonebook
Architecture: any
Multi-Arch: foreign
Depends: qml6-module-org-kde-breeze,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-datetime,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-people,
         qml6-module-org-kde-quickcharts,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-window,
         qml6-module-qtqml-workerscript,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Phone book for Plasma Mobile
 Contacts application which allows adding, modifying and removing contacts.
 .
 Plasma-phonebook is a contact application that primarily targets Plasma Mobile.
 .
 The application uses kpeople models to find, add, remove and update contacts.
 The actual vcard editing is done using KContacts, allowing to use the full
 range of fields vcards support. Plasma Phonebook ships its own KPeople
 plugin for displaying actions.

=== debian/watch ===
version=4
opts=pgpmode=auto https://download.kde.org/stable/plasma-phonebook/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## plasma-phonebook 24.02.0+p24.04+vstable+git20250914.1346

=== debian/changelog ===
plasma-phonebook (24.02.0+p24.04+vstable+git20250914.1346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 13:46:27 +0000

plasma-phonebook (24.02.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 Feb 2024 12:05:19 +0000

plasma-phonebook (23.01.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 29 Jan 2023 19:52:09 +0000

plasma-phonebook (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 19:52:08 +0000

plasma-phonebook (22.09-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 19:52:06 +0000

plasma-phonebook (22.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:29:23 +0000

plasma-phonebook (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 23 Apr 2022 19:52:07 +0000

plasma-phonebook (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Feb 2022 16:29:31 +0000

plasma-phonebook (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 19:52:07 +0000

plasma-phonebook (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 19:52:03 +0000

plasma-phonebook (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 16:33:14 +0000

plasma-phonebook (21.06-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Jul 2021 19:52:04 +0000

plasma-phonebook (0.0+git20190908-1) unstable; urgency=medium

  * Initial release.

 -- Jonah Brüchert <jbb@kaidan.im>  Fri, 05 Apr 2019 18:02:01 +0200

## plasma-phonebook 24.02.0+p24.04+vstable+git20251015.1026

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(PROJECT_VERSION "24.02.0")
 project(plasma-phonebook VERSION ${PROJECT_VERSION})
 
-set(KF_MIN_VERSION "6.0.0")
+set(KF_MIN_VERSION "6.3.0")
 set(QT_MIN_VERSION "6.6.0")
 
 set(CMAKE_CXX_STANDARD 17)
@@ -22,6 +22,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMQmlModule)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX PLASMAPHONEBOOK

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,34 @@
     main.cpp
     contactcontroller.cpp
     contactimporter.cpp
-    resources.qrc
+)
+
+ecm_add_qml_module(plasma-phonebook URI org.kde.phonebook DEPENDENCIES "org.kde.contacts")
+
+ecm_target_qml_sources(plasma-phonebook
+    SOURCES
+    qml/Main.qml
+    qml/ContactsPage.qml
+    qml/ContactListItem.qml
+    qml/RoundImage.qml
+    qml/DetailPage.qml
+    qml/Header.qml
+    qml/AddContactPage.qml
+    qml/components/DoubleActionButton.qml
+    qml/components/BottomDrawer.qml
+    qml/components/ActionButton.qml
 )
 
 target_include_directories(plasma-phonebook PRIVATE ${CMAKE_BINARY_DIR})
 
-target_link_libraries(plasma-phonebook
+target_link_libraries(plasma-phonebook PRIVATE
         Qt::Core Qt::Qml Qt::Quick Qt::Svg Qt::Widgets
         KF6::Contacts KF6::People KF6::I18n KF6::CoreAddons
         KF6::ConfigCore KF6::ConfigGui
 )
 
 if(ANDROID)
-    target_link_libraries(plasma-phonebook KF6::Kirigami Qt::Svg)
+    target_link_libraries(plasma-phonebook PRIVATE KF6::Kirigami Qt::Svg)
 
     kirigami_package_breeze_icons(ICONS
         go-down-symbolic
@@ -39,15 +54,13 @@
         im-gadugadu
         im-twitter
         im-irc
-        im-google-talk
         im-yahoo
         im-jabber
-        im skype
+        im-skype
         im-icq
         im-qq
         im-facebook
         im-aim
-        im-identi.ca
         im-youtube
     )

=== debian/changelog ===
plasma-phonebook (24.02.0+p24.04+vstable+git20251015.1026-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:26:11 +0000

## plasma-phonebook 24.02.0+p24.04+vstable+git20251024.0222

=== debian/changelog ===
plasma-phonebook (24.02.0+p24.04+vstable+git20251024.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:22:38 +0000

=== debian/control ===
Source: plasma-phonebook
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kpeople-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/kde/plasma-phonebook
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-phonebook.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-phonebook
Maintainer: Neon CI <neon@kde.org>

Package: plasma-phonebook
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Calendar application for Plasma Mobile
 Simple calendar using Kirigami for a convergent user interface.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma-phonebook/@PACKAGE@-([\d.]+).tar.xz

## plasma-phonebook 24.02.0+p24.04+vstable+git20260205.0617

=== debian/changelog ===
plasma-phonebook (24.02.0+p24.04+vstable+git20260205.0617-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:17:23 +0000

## plasma-phonebook 24.02.0+p24.04+vunstable+git20251125.1313

=== debian/changelog ===
plasma-phonebook (24.02.0+p24.04+vunstable+git20251125.1313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 13:13:26 +0000

## plasma-phonebook 24.02.0+p24.04+vunstable+git20260201.0652

=== debian/changelog ===
plasma-phonebook (24.02.0+p24.04+vunstable+git20260201.0652-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:52:38 +0000
